Main Page Widgets Namespaces Book

# Gtk::TreeModelColumnBase Class Reference
[TreeView Classes]

Inheritance diagram for Gtk::TreeModelColumnBase:

[legend]
List of all members.

## Detailed Description

Base class of TreeModelColumn templates.

## Public Member Functions
int | index () const
GType | type () const
## Protected Member Functions
| TreeModelColumnBase (GType type)
## Friends
class | Gtk::TreeModelColumnRecord
## Related Functions
(Note that these are not member functions.)
bool | operator!= (const TreeModelColumnBase& lhs, const TreeModelColumnBase& rhs)
bool | operator== (const TreeModelColumnBase& lhs, const TreeModelColumnBase& rhs)

## Constructor & Destructor Documentation

Gtk::TreeModelColumnBase::TreeModelColumnBase | ( | GType | type | ) | `[explicit, protected]`

## Member Function Documentation

int Gtk::TreeModelColumnBase::index | ( |  | ) | const`[inline]`

GType Gtk::TreeModelColumnBase::type | ( |  | ) | const`[inline]`

## Friends And Related Function Documentation

friend class Gtk::TreeModelColumnRecord`[friend]`

bool operator!= | ( | const TreeModelColumnBase& | lhs,
|  | const TreeModelColumnBase& | rhs |
| ) |  |  | `[related]`

bool operator== | ( | const TreeModelColumnBase& | lhs,
|  | const TreeModelColumnBase& | rhs |
| ) |  |  | `[related]`

The documentation for this class was generated from the following file:

- treemodelcolumn.h